package info.kwarc.uloimport;

import java.io.InputStream;

public interface Importer {
    /**
     * Import the (single) ULO/RDF file at the given input stream to the
     * storage underlying this {@link Importer}.
     *
     * @param is The stream from which to read a single ULO/RDF file.
     * @throws ImportException When the import failed.
     */
    void importUlo(InputStream is) throws ImportException;
}
